@echo off

REM  HM800
REM  Firewall Setting Tool
REM                 Copy right. 2014  Hitachi. Ltd.
REM
REM History  :DATE        :Coder       : Patch No
REM HM800    :2014.07.16  :S.Hattori   : Z8476610615 for HM800 MappIniSet
REM
REM filename :netshAdvFirewallAddRule.bat
REM
REM Document
REM    Firewall Setting for Mapp
REM
REM --------------------------------------------------------------------------

SET ARG_NAME=%1
SET ARG_DIR=%2
SET ARG_ACTION=%3
SET ARG_PROTOCOL=%4
SET ARG_LOCALPORT=%5
netsh advfirewall firewall delete rule name=%ARG_NAME%
netsh advfirewall firewall add rule name=%ARG_NAME% dir=%ARG_DIR% action=%ARG_ACTION% protocol=%ARG_PROTOCOL% localport=%ARG_LOCALPORT%
